futhark-0.25.32: An optimising compiler for a functional, array-oriented language.

Safe Haskell | Safe-Inferred
Language | GHC2021

Futhark.Pass.ExplicitAllocations.MC

Contents

- Orphan instances

Description

Converting `MC` programs to `MCMem`.

Synopsis

- explicitAllocations :: Pass MC MCMem

# Documentation

explicitAllocations :: Pass MC MCMem Source #

The pass from `MC` to `MCMem`.

# Orphan instances

SizeSubst (MCOp rep op) Source # |
Instance details Methods opIsConst :: MCOp rep op -> Bool Source #